Get Sources

Retrieve all sources based on the provided filters.

  • name: Name of the source
  • created_by: Creator of the source
  • created_at: When the source was created
  • updated_at: When the source was last updated
  • type: Type of the source
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns a paged list of sources. Filter by name, created_by, created_at, updated_at, or type.

When to use it

Use it to find a source's ID for a dataset source.

Required parameters

This call takes no required parameters.

Optional query parameters: name, created_by, created_at, updated_at, type. Use page and size to page through the results.

Response

A successful call returns 200 OK with a page of sources in items, plus total, page, size, pages, and the next, previous, first, and last page links.

Related: Get a source, Create a source, List dataset sources

Query Params
SourceType | null
integer
≥ 1
Defaults to 1

Page number

integer
1 to 100
Defaults to 50

Page size

Responses

500

Internal Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json